Skip to content

Instantly share code, notes, and snippets.

View .gitignore
/solve
*.exe
*.ilk
*.pdb
*.s
*.obj
@cyberis
cyberis / _.md
Last active Aug 29, 2015 — forked from klange/_.md
View _.md

Since this is on Hacker News...

  • No, I don't distribute my résumé like this. A friend of mine made a joke about me being the kind of person who would do this, so I did (the link on that page was added later).
  • I apologize for the use of _t in my types. I spend a lot of time at a level where I can do that; "reserved for system libraries? I am the system libraries".
  • They're all while loops because shut up, you're overthinking a joke. Same for the const correctness.
  • My use of type * name is entirely intentional.
@cyberis
cyberis / vpn.md
Created Feb 14, 2018 — forked from joepie91/vpn.md
Don't use VPN services.
View vpn.md

Don't use VPN services.

No, seriously, don't. You're probably reading this because you've asked what VPN service to use, and this is the answer.

Note: The content in this post does not apply to using VPN for their intended purpose; that is, as a virtual private (internal) network. It only applies to using it as a glorified proxy, which is what every third-party "VPN provider" does.

(A Russian translation of this article can be found here, contributed by Timur Demin.)

Why not?

@cyberis
cyberis / gnupg-updater.sh
Created Dec 11, 2019 — forked from mattrude/gnupg-updater.sh
A simple script build for Ubuntu to download and install the current version of GnuPG.
View gnupg-updater.sh
#!/bin/bash
# ---------
# Script to build and install GnuPG 2.2.x
GNUPG='2.2.19'
LIBGPGERROR='1.36'
LIBGCRYPT='1.8.5'
LIBKSBA='1.3.5'
LIBASSUAN='2.5.3'
NTBTLS='0.1.2'